/* Patternfly CSS places a "bg-login.jpg" as the background on this ".login-pf" class.
   This clashes with the "keycloak-bg.png' background defined on the body below.
   Therefore the Patternfly background must be set to none. */
.login-pf {
    background: none;
}

.login-pf body {
    background-size: cover;
    background: #F5EAE1;
}

.test {
    width: 70%;
}

.testcontainer {
    margin-top: 20px;
}

.flex-container {
    min-height: 100%;
    width: 100%;
    display: flex;
    justify-content: space-between;
}

#kc-headerTest {
    width: 35%;
    color: white;
    background: linear-gradient(180deg, rgba(171, 80, 1, 0.46) 14.06%, rgba(252, 255, 100, 0.46) 46.35%, rgba(90, 35, 56, 0.79) 97.92%);
    box-shadow: 0px 1px 1px rgba(0, 0, 0, 0.25);
    text-align: center;
}

h1 {
    margin-top: 80px;
}

textarea.pf-c-form-control {
    height: auto;

}

.pf-c-form-control {
    border: 1px solid #AC4F01;
    border-radius: 32px;
}

.pf-c-alert__title {
    font-size: var(--pf-global--FontSize--xs);
}

p.instruction {
    margin: 5px 0;
}

.pf-c-button.pf-m-control {
    border: solid var(--pf-global--BorderWidth--sm);
    border-color: rgba(230, 230, 230, 0.5);
}

h1#kc-page-title {
    margin-top: 10px;
    font-weight: 100;
    font-family: roboto;
    color: #AC4F01;
    margin-left: 30px;
}

#kc-locale ul {
    background-color: var(--pf-global--BackgroundColor--100);
    display: none;
    top: 20px;
    min-width: 100px;
    padding: 0;
}

#kc-locale-dropdown {
    display: inline-block;
}

#kc-locale-dropdown:hover ul {
    display: block;
}

#kc-locale-dropdown a {
    color: var(--pf-global--Color--200);
    text-align: right;
    font-size: var(--pf-global--FontSize--sm);
}

a#kc-current-locale-link::after {
    content: "\2c5";
    margin-left: var(--pf-global--spacer--xs)
}

.login-pf .container {
    padding-top: 40px;
}

.login-pf a:hover {
    color: #0099d3;
}

#kc-logo {
    width: 100%;
}

div.kc-logo-text span {
    display: none;
}

#kc-header {
    color: #ededed;
    overflow: visible;
    white-space: nowrap;
}

#kc-header-wrapper {
    font-size: 29px;
    text-transform: lowercase;
    letter-spacing: 3px;
    line-height: 1.2em;
    padding: 62px 10px 20px;
    white-space: normal;
    color: #AC4F01;
    font-weight: bold;
    font-family: roboto;
    font-size: 5vh;
}

#kc-content {
    width: 100%;
}

#kc-header-wrapper::first-letter {
    text-transform: uppercase;
}

#kc-content {
    width: 100%;
}

#kc-attempted-username {
    font-size: 20px;
    font-family: inherit;
    font-weight: normal;
    padding-right: 10px;
}

#kc-username {
    text-align: center;
    margin-bottom: -10px;
}

#kc-webauthn-settings-form {
    padding-top: 8px;
}

#kc-form-webauthn .select-auth-box-parent {
    pointer-events: none;
}

#kc-form-webauthn .select-auth-box-desc {
    color: var(--pf-global--palette--black-600);
}

#kc-form-webauthn .select-auth-box-headline {
    color: var(--pf-global--Color--300);
}

#kc-form-webauthn .select-auth-box-icon {
    flex: 0 0 3em;
}

#kc-form-webauthn .select-auth-box-icon-properties {
    margin-top: 10px;
    font-size: 1.8em;
}

#kc-form-webauthn .select-auth-box-icon-properties.unknown-transport-class {
    margin-top: 3px;
}

#kc-form-webauthn .pf-l-stack__item {
    margin: -1px 0;
}

#kc-content-wrapper {
    margin-top: 20px;
}

#kc-form-wrapper {
    margin-top: 10px;
    color: #AC4F01;
    width: 100%;
}

#kc-info {
    margin: 20px -40px -30px;
}

#kc-info-wrapper {
    font-size: 13px;
    padding: 15px 35px;
    background-color: #F0F0F0;
}

#kc-info-wrapper {
    font-size: 13px;
    padding: 15px 35px;
    background-color: #F0F0F0;
    width: 100%;
    border-radius: 16px;
}

#kc-form-options span {
    display: block;
    color: #AC4F01;
}

span a {
    color: #AC4F01;
}

#kc-form-options .checkbox {
    margin-top: 0;
}

#kc-form-options .checkbox {
    margin-top: 0;
    color: #AC4F01;
    accent-color: #AC4F01;
}

#kc-terms-text {
    margin-bottom: 20px;
}

#kc-registration a {
    margin-bottom: 0;
}

#kc-registration span {
    margin-bottom: 0;
    color: #AC4F01;
}

/* TOTP */

.subtitle {
    text-align: right;
    margin-top: 30px;
    color: #909090;
}

.required {
    color: var(--pf-global--danger-color--200);
}

ol#kc-totp-settings {
    margin: 0;
    padding-left: 20px;
}

ul#kc-totp-supported-apps {
    margin-bottom: 10px;
}

#kc-totp-secret-qr-code {
    max-width: 150px;
    max-height: 150px;
}

#kc-totp-secret-key {
    background-color: #fff;
    color: #333333;
    font-size: 16px;
    padding: 10px 0;
}

/* OAuth */

#kc-oauth h3 {
    margin-top: 0;
}

#kc-oauth ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

#kc-oauth ul li {
    border-top: 1px solid rgba(255, 255, 255, 0.1);
    font-size: 12px;
    padding: 10px 0;
}

#kc-oauth ul li:first-of-type {
    border-top: 0;
}

#kc-oauth .kc-role {
    display: inline-block;
    width: 50%;
}

/* Code */
#kc-code textarea {
    width: 100%;
    height: 8em;
}

/* Social */
.kc-social-links {
    margin-top: 20px;
    width: 100%;
}

.kc-social-provider-logo {
    font-size: 23px;
    width: 30px;
    height: 25px;
    float: left;
}

.kc-social-provider {
    border-bottom: none !important;
}

h4 {
    text-align: center;
}

.kc-social-gray {
    color: var(--pf-global--Color--200);
    font-weight: bold;
    text-transform: uppercase;
    color: #AB5001;
}


.kc-social-gray h4 {
    color: var(--pf-global--Color--200);
    font-weight: bold;
    text-transform: uppercase;
    color: #AB5001;
    margin-right: -10px;
}

.kc-social-item {
    margin-bottom: var(--pf-global--spacer--sm);
    font-size: 15px;
    text-align: center;
    border-radius: 32px;
    background: #AB5001;
}

.kc-social-provider-name {
    position: relative;
    top: 3px;
    color: #AB5001;
}

.kc-social-icon-text {
    left: -15px;
}

.kc-social-grid {
    display: grid;
    grid-column-gap: 10px;
    grid-row-gap: 5px;
    grid-column-end: span 6;
    --pf-l-grid__item--GridColumnEnd: span 6;
}

.kc-social-grid .kc-social-icon-text {
    left: -10px;
}

.kc-login-tooltip {
    position: relative;
    display: inline-block;
}

#kc-login:hover {
    background-image: linear-gradient(to right, #c44674fe, #d24c4c);

}

#kc-login {
    margin-top: 20px;
    border: none;
    font-size: 18px;
    border-radius: 32px;
    background-image: linear-gradient(to right, #5D2238, #AC4F01);
    width: 100%;
}

.kc-social-section {
    text-align: center;
}

.kc-social-section hr {
    margin-bottom: 10px
}

.kc-login-tooltip .kc-tooltip-text {
    top: -3px;
    left: 160%;
    background-color: black;
    visibility: hidden;
    color: #fff;
    min-width: 130px;
    text-align: center;
    border-radius: 2px;
    box-shadow: 0 1px 8px rgba(0, 0, 0, 0.6);
    padding: 5px;
    position: absolute;
    opacity: 0;
    transition: opacity 0.5s;
}

/* Show tooltip */
.kc-login-tooltip:hover .kc-tooltip-text {
    visibility: visible;
    opacity: 0.7;
}

/* Arrow for tooltip */
.kc-login-tooltip .kc-tooltip-text::after {
    content: " ";
    position: absolute;
    top: 15px;
    right: 100%;
    margin-top: -5px;
    border-width: 5px;
    border-style: solid;
    border-color: transparent black transparent transparent;
}

@media (min-width: 768px) {
    #kc-container-wrapper {
        position: absolute;
        width: 100%;
    }

    .testcontainer {
        display: flex;
        justify-content: center;
        align-items: center;
        overflow: hidden;
    }

    .login-pf .container {
        padding-right: 80px;
    }

    #kc-locale {
        position: relative;
        text-align: right;
        z-index: 9999;
    }
}

.card-pf {
    box-shadow: none;
    margin: 0 auto;
    padding: 0 20px;
    max-width: 500px;
    min-width: fit-content;
    margin-top: -30px;
    background: transparent;
}

#kc-login:hover {
    background-image: linear-gradient(to right, #c44674fe, #d24c4c);

}

#kc-login {
    margin-top: 20px;
    border: none;
    font-size: 18px;
    border-radius: 32px;
    background-image: linear-gradient(to right, #5D2238, #AC4F01);
    width: 100%;
}

@media (max-width: 767px) {
    .login-pf body {
        background: #F5EAE1;
        background-size: cover;
        height: 100%;
    }

    #kc-header {
        padding-left: 15px;
        padding-right: 15px;
        float: none;
        text-align: left;
    }

    #kc-header-wrapper {
        text-transform: lowercase;
        font-size: 10px;
        letter-spacing: 3px;
        line-height: 1.2em;
        font-weight: bold;
        padding: 20px 60px 0 0;
        color: #AC4F01;
        letter-spacing: 0;
        font-weight: bold;
        font-family: roboto;
        font-size: 4vh;
        white-space: normal;
        text-align: center;
        margin-top: 10px;
    }

    #kc-header-wrapper::first-letter {
        text-transform: uppercase;
    }

    div.kc-logo-text {
        margin: 0;
        width: 150px;
        height: 32px;
        background-size: 100%;
    }

    #kc-form {
        float: none;
    }

    #kc-info-wrapper {
        border-top: 1px solid rgba(255, 255, 255, 0.1);
        background-color: transparent;
    }

    .login-pf .container {
        padding-top: 15px;
        padding-bottom: 15px;
    }

    #kc-locale {
        position: absolute;
        width: 200px;
        top: 20px;
        right: 20px;
        text-align: right;
        z-index: 9999;
    }
}

#kc-login:hover {
    background-image: linear-gradient(to right, #c44674fe, #d24c4c);

}

#kc-login {
    margin-top: 20px;
    border: none;
    font-size: 18px;
    border-radius: 32px;
    background-image: linear-gradient(to right, #5D2238, #AC4F01);
    width: 100%;
}

@media (min-height: 646px) {
    #kc-container-wrapper {
        bottom: 12%;
    }
}

#kc-login:hover {
    background-image: linear-gradient(to right, #c44674fe, #d24c4c);

}

#kc-login {
    margin-top: 20px;
    border: none;
    font-size: 18px;
    border-radius: 32px;
    background-image: linear-gradient(to right, #5D2238, #AC4F01);
    width: 100%;
}

@media (max-height: 645px) {
    #kc-container-wrapper {
        padding-top: 50px;
        top: 20%;
    }
}

.card-pf form.form-actions .btn {
    float: right;
    margin-left: 25px;
    border-radius: 15px;
}

#kc-form-buttons:hover {
    background-image: linear-gradient(to right, #c44674fe, #d24c4c);
}

#kc-form-buttons {
    margin-top: 20px;
    font-size: 18px;
    border-radius: 32px;
    background-image: linear-gradient(to right, #5D2238, #AC4F01);
}

.pf-c-button {
    background: none !important;
}

.login-pf-page .login-pf-brand {
    margin-top: 20px;
    max-width: 360px;
    width: 40%;
}

.select-auth-box-arrow {
    display: flex;
    align-items: center;
    margin-right: 2rem;
}

.select-auth-box-icon {
    display: flex;
    flex: 0 0 2em;
    justify-content: center;
    margin-right: 1rem;
    margin-left: 3rem;
}

.select-auth-box-parent {
    border-top: 1px solid var(--pf-global--palette--black-200);
    padding-top: 1rem;
    padding-bottom: 1rem;
    cursor: pointer;
}

.select-auth-box-parent:hover {
    background-color: #f7f8f8;
}

.select-auth-container {
    padding-bottom: 0px !important;
}

.select-auth-box-headline {
    font-size: var(--pf-global--FontSize--md);
    color: var(--pf-global--primary-color--100);
    font-weight: bold;
}

.select-auth-box-desc {
    font-size: var(--pf-global--FontSize--sm);
}

.select-auth-box-paragraph {
    text-align: center;
    font-size: var(--pf-global--FontSize--md);
    margin-bottom: 5px;
}

.card-pf {
    margin: 0 auto;
    padding: 0 20px;
    max-width: 500px;
    border-radius: 10px;
    margin-top: -5px;
}

#kc-login:hover {
    background-image: linear-gradient(to right, #c44674fe, #d24c4c);

}

#kc-login {
    margin-top: 20px;
    border: none;
    font-size: 18px;
    border-radius: 32px;
    background-image: linear-gradient(to right, #5D2238, #AC4F01);
    width: 100%;
}

/*phone*/
@media (max-width: 767px) {
    .login-pf-page .card-pf {
        max-width: none;
        margin-left: 0;
        margin-right: 0;
        padding-top: 0;
        border-top: 0;
        box-shadow: 0 0;
    }

    #kc-headerTest {
        display: none;
    }

    h1#kc-page-title {
        width: 100%;
        margin-left: -2px;
    }

    #kc-registration,
    a,
    span {
        width: 100%;
    }

    .test {
        margin-left: 15%;
        margin-right: 15%;
    }

    .kc-social-item {
        margin-bottom: var(--pf-global--spacer--sm);
        font-size: 15px;
        text-align: center;
        border-radius: 32px;
        background: #AB5001;
        width: 100%;
    }

    .kc-social-provider-name {
        position: relative;
        top: 3px;
        color: #AB5001;
    }

    #kc-form-wrapper {
        margin-top: 10px;
        color: #AC4F01;
        width: 120%;
        margin-left: -15px;
    }

    .kc-social-icon-text {
        left: -15px;
    }

    .kc-social-links {
        margin-top: 20px;
        width: 120%;
        margin-left: -20px;
    }

    .flex-container {
        min-height: 100%;
        width: 100%;
        display: flex;
        justify-content: space-between;
        margin-left: -10px;
    }

    h4 {
        color: var(--pf-global--Color--200);
        font-weight: bold;
        text-transform: uppercase;
        color: #AB5001;
        margin-right: -60px;
    }

    #kc-header-wrapper {
        margin-left: 40px;
    }

    #kc-login:hover {
        background-image: linear-gradient(to right, #c44674fe, #d24c4c);

    }

    #kc-login {
        margin-top: 20px;
        border: none;
        font-size: 18px;
        border-radius: 32px;
        background-image: linear-gradient(to right, #5D2238, #AC4F01);
        width: 100%;
    }

    .kc-social-grid {
        grid-column-end: 12;
        --pf-l-grid__item--GridColumnEnd: span 12;
    }

    .kc-social-grid .kc-social-icon-text {
        left: -15px;
    }
}

.login-pf-page .login-pf-signup {
    font-size: 15px;
    color: #72767b;
}

#kc-content-wrapper .row {
    margin-left: 0;
    margin-right: 0;
}

.login-pf-page.login-pf-page-accounts {
    margin-left: auto;
    margin-right: auto;
}

.login-pf-page .btn-primary:hover {
    margin-top: 0;
}

.login-pf-page .list-view-pf .list-group-item {
    border-bottom: 1px solid #ededed;
}

.login-pf-page .list-view-pf-description {
    width: 100%;
}

#kc-form-login div.form-group:last-of-type,
#kc-register-form div.form-group:last-of-type,
#kc-update-profile-form div.form-group:last-of-type,
#kc-update-email-form div.form-group:last-of-type {
    margin-bottom: 0px;
}

.pf-c-form__label-text {
    color: #AB5001;
}

.no-bottom-margin {
    margin-bottom: 0;
}

#kc-back {
    margin-top: 5px;
}

/* Recovery codes */
.kc-recovery-codes-warning {
    margin-bottom: 32px;
}

.kc-recovery-codes-warning .pf-c-alert__description p {
    font-size: 0.875rem;
}

.kc-recovery-codes-list {
    list-style: none;
    columns: 2;
    margin: 16px 0;
    padding: 16px 16px 8px 16px;
    border: 1px solid #D2D2D2;
}

.kc-recovery-codes-list li {
    margin-bottom: 8px;
    font-size: 11px;
}

.kc-recovery-codes-list li span {
    color: #6A6E73;
    width: 16px;
    text-align: right;
    display: inline-block;
    margin-right: 1px;
}

.kc-recovery-codes-actions {
    margin-bottom: 24px;
}

.kc-recovery-codes-actions button {
    padding-left: 0;
}

.kc-recovery-codes-actions button i {
    margin-right: 8px;
}

.kc-recovery-codes-confirmation {
    align-items: baseline;
    margin-bottom: 16px;
}

/* End Recovery codes */